Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 320961 (CVE-2010-0829) - <app-text/dvipng-1.13: array index error (CVE-2010-0829)
Summary: <app-text/dvipng-1.13: array index error (CVE-2010-0829)
Status: RESOLVED FIXED
Alias: CVE-2010-0829
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Security
URL: https://bugzilla.redhat.com/show_bug....
Whiteboard: B2 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-21 21:53 UTC by Stefan Behte (RETIRED)
Modified: 2014-12-12 00:32 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Behte (RETIRED) gentoo-dev Security 2010-05-21 21:53:01 UTC
CVE-2010-0829 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2010-0829):
  Multiple array index errors in set.c in dvipng 1.11 and 1.12, and
  teTeX, allow remote attackers to cause a denial of service
  (application crash) or possibly execute arbitrary code via a
  malformed DVI file.
Comment 1 Ulrich Müller gentoo-dev 2010-05-22 07:56:30 UTC
Arch teams, please stabilise dvipng-1.13.
Comment 2 Jeroen Roovers (RETIRED) gentoo-dev 2010-05-22 16:23:01 UTC
Stable for HPPA.
Comment 3 Peter Volkov (RETIRED) gentoo-dev 2010-05-22 17:01:21 UTC
amd64 stable.
Comment 4 Paweł Hajdan, Jr. (RETIRED) gentoo-dev 2010-05-23 14:29:23 UTC
x86 stable
Comment 5 Raúl Porcel (RETIRED) gentoo-dev 2010-05-23 18:09:26 UTC
alpha/arm/ia64/s390/sh/sparc stable
Comment 6 Jeroen Roovers (RETIRED) gentoo-dev 2010-05-25 02:07:08 UTC
Stable for PPC.
Comment 7 Brent Baude (RETIRED) gentoo-dev 2010-05-26 19:15:57 UTC
ppc64 done; closing as last arch
Comment 8 Brent Baude (RETIRED) gentoo-dev 2010-05-26 19:16:31 UTC
didnt mean to close; sorry sec guys
Comment 9 Ulrich Müller gentoo-dev 2010-05-26 22:28:27 UTC
Vulnerable dvipng-1.12-r1 removed.

All arches stable, so changing whiteboard status.
Comment 10 Johannes Huber gentoo-dev 2012-05-17 13:22:33 UTC
Thank you all. Remove tex herd from CC, as its nothing to do here anymore.
Comment 11 Sean Amoss (RETIRED) gentoo-dev Security 2014-12-12 00:32:01 UTC
This issue was resolved and addressed in
 GLSA 201412-08 at http://security.gentoo.org/glsa/glsa-201412-08.xml
by GLSA coordinator Sean Amoss (ackle).